gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Methods for handling icon properties.
- Constructor
  2.12.0.0
  A constructor.
- Method
  2.12.0.0
  Gtk.IconSize `` The name to look up. Looks up the icon size associated with . The icon size with the given name.
- Method
  2.12.0.0
  System.String `` A . Obtains the canonical name of the given icon size. The name of the given icon size.

  The returned string is statically allocated and should not be freed.

- Method
  2.12.0.0
  System.Boolean `` `` `` An icon size. Location to store icon width. Location to store icon height. Obtains the pixel size of a semantic icon size, possibly modified by user preferences fot the default . if was a valid size.

  Normally size would be , , etc. This method is not normally needed, is the usual way to get an icon for rendering, then just look at the size of the rendered pixbuf. The rendered pixbuf may not even correspond to the width/height returned by , because themes are free to render the pixbuf however they like, including changing the usual size.

- Method
  2.12.0.0
  System.Boolean `` `` `` `` A object, used to determine which set of user preferences to use. An icon size. Location to store icon width. Location to store icon height. Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular . if was a valid size.

  Normally size would be , , etc. This method is not normally needed, is the usual way to get an icon for rendering, then just look at the size of the rendered pixbuf. The rendered pixbuf may not even correspond to the width/height returned by , because themes are free to render the pixbuf however they like, including changing the usual size.

- Method
  2.12.0.0
  Gtk.IconSize `` `` `` Name of the icon size. The icon width. The icon height. Registers a new icon size. Integer value representing the size.

  Along the same lines as . Returns integer value for the size.

- Method
  2.12.0.0
  System.Void `` `` An alias for . An existing icon size. Registers as another name for .

  Calling with as argument will return .